## speech-dispatcher 0.6.1

=== src/python/Makefile ===

all:

install:
	if test -x /usr/bin/python; then \
		./setup.py install; \
	else \
	echo "Python not found, not installing speechd module"; \
	fi

uninstall:

clean:
	rm -f *.pyc

distclean: clean

distdir:


check:

## speech-dispatcher 0.6.6

=== src/python/Makefile ===

prefix = /usr/local

all:

install:
	if test -x /usr/bin/python; then \
		./setup.py install --prefix=$(prefix); \
	else \
	echo "Python not found, not installing speechd module"; \
	fi

uninstall:

clean:
	rm -f *.pyc
	rm -rf build

distclean: clean

distdir:


check:

## speech-dispatcher 0.7

=== debian/changelog ===
speech-dispatcher (0.7-6.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Milan Zamazal ]
  * Fix logrotate script breaking logrotate configuration of other
    packages; closes: #611711.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Feb 2011 18:52:50 +0100

speech-dispatcher (0.7-6) unstable; urgency=low

  * Make flite output working again; thanks to Samuel Thibault
    <sthibault@debian.org>; closes: #603897.

 -- Milan Zamazal <pdm@debian.org>  Fri, 26 Nov 2010 13:27:07 +0100

speech-dispatcher (0.7-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/debian-changes-0.7-5: Leave -lpthread in the
    libspeech-dispatcher link line, drop it from tests; closes: #597947.
  * debian/control: Make speech-dispatcher recommend pulseaudio as this is now
    the default configuration; closes: #593968.
  * debian/README.Debian: Mention that the SPEECHD_SOCKET variable also needs
    to be set to revert to system-wide behavior.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Sep 2010 16:17:19 +0200

speech-dispatcher (0.7-5) unstable; urgency=low

  * Move Python build dependencies from Build-Depends-Indep to Build-Depends;
    closes: #588107.
  * Standards 3.9.0 (no real change).
  
 -- Milan Zamazal <pdm@debian.org>  Wed, 07 Jul 2010 13:12:13 +0200

speech-dispatcher (0.7-4) unstable; urgency=low

  * Default AudioOutputMethod changed to "pulse" to prevent blocking audio
    output; information to README.Debian added.

 -- Milan Zamazal <pdm@debian.org>  Fri, 02 Jul 2010 18:55:49 +0200

speech-dispatcher (0.7-3) unstable; urgency=low

  * Paths in python-speechd adjusted to match Debian installation.
  * Package priorities set to match override entries.

 -- Milan Zamazal <pdm@debian.org>  Tue, 22 Jun 2010 14:01:03 +0200

speech-dispatcher (0.7-2) unstable; urgency=low

  * Link speech-dispatcher log location to /var/log/speech-dispatcher/, if
    it doesn't exist yet.
  * Permit access to speech-dispatcher socket to `audio' group.

 -- Milan Zamazal <pdm@debian.org>  Tue, 22 Jun 2010 12:11:16 +0200

speech-dispatcher (0.7-1) unstable; urgency=low

  * New upstream version.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Versioned build dependency on flite-dev.
  * Don't start Speech Dispatcher by default; closes: #577217.
  * Standards 3.8.4 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sat, 19 Jun 2010 09:08:43 +0200

speech-dispatcher (0.6.7-9) unstable; urgency=low

  * Fix init.d dependencies, thanks to Petter Reinholdtsen <pere@hungry.com>;
    closes: #582167.
  * Fix FTBFS on flite.c, thanks to Andres Mejia <mcitadel@gmail.com>;
    closes: #577896.

 -- Milan Zamazal <pdm@debian.org>  Sun, 30 May 2010 19:33:21 +0200

speech-dispatcher (0.6.7-8) unstable; urgency=low

  * Link spd-say to libpthread; closes: #556369.

 -- Milan Zamazal <pdm@debian.org>  Mon, 23 Nov 2009 13:33:58 +0100

speech-dispatcher (0.6.7-7) unstable; urgency=low

  * Move cl-speech-dispatcher to section lisp.

 -- Milan Zamazal <pdm@debian.org>  Mon, 09 Nov 2009 10:50:24 +0100

speech-dispatcher (0.6.7-6) unstable; urgency=low

  * Change priority back to optional as optional mumble package depends on
    libspeechd2.
  * postinst: Don't call adduser with --no-create-home; closes: #554851.
  * postrm: Force removal of /var/run/speech-dispatcher.

 -- Milan Zamazal <pdm@debian.org>  Mon, 09 Nov 2009 09:56:39 +0100

speech-dispatcher (0.6.7-5) unstable; urgency=low

  * Apply getline conflict patch from Luke Yelavich's unofficial
    repository; closes: #552889.
  * init script: Create /var/run/speech-dispatcher/ directory if it
    doesn't exist.
  * init script: Call `start-stop-daemon --start' with --oknodo.
  * postinst: Don't create speech-dispatcher home directory.
  * README.source added. 
  * debian/rules: Actually pass MAKEFLAGS and other variables to make
    invocations.
  * debian/rules: Don't override prefix on install, use DESTDIR instead.
  * Standards 3.8.3.
  * Updated to debhelper 7.
  * debian/control: Add ${misc:Depends}.
  * Don't use full paths in the maintainer scripts.
  * Move the memory leak fix patch to dpatch.

 -- Milan Zamazal <pdm@debian.org>  Mon, 02 Nov 2009 14:12:08 +0100

speech-dispatcher (0.6.7-4) unstable; urgency=low

  * Upload to unstable.

 -- Milan Zamazal <pdm@debian.org>  Sat, 07 Mar 2009 14:25:29 +0100

speech-dispatcher (0.6.7-3) experimental; urgency=low

  * Fix memory leak on connection error in libspeechd.  Thanks to Mario
    Lang <mlang@debian.org>.  Closes: #509533.

 -- Milan Zamazal <pdm@debian.org>  Tue, 23 Dec 2008 10:21:16 +0100

speech-dispatcher (0.6.7-2) experimental; urgency=low

  * Main log file name changed back to `speech-dispatcher.log' everywhere.
  * Upload to experimental because lenny is frozen.

 -- Milan Zamazal <pdm@debian.org>  Fri, 24 Oct 2008 20:38:30 +0200

speech-dispatcher (0.6.7-1) experimental; urgency=low

  * New upstream version.
  * Upload to experimental because lenny is frozen.

 -- Milan Zamazal <pdm@debian.org>  Mon, 04 Aug 2008 21:27:14 +0200

speech-dispatcher (0.6.7~rc1-1) unstable; urgency=low

  * New upstream version (pre-release).
  * DEB_BUILD_OPTIONS setup updated as described in the current policy.
  * `Homepage' control field added.
  * Standards 3.8.0.

 -- Milan Zamazal <pdm@brailcom.org>  Sun, 13 Jul 2008 16:58:37 +0200

speech-dispatcher (0.6.6-2) unstable; urgency=low

  * Don't rmdir python-speechd/usr/lib, build depend on
    python-central >= 0.6 instead; closes: #472029.
  * config.{guess,sub} updated.

 -- Milan Zamazal <pdm@debian.org>  Fri, 21 Mar 2008 21:39:17 +0100

speech-dispatcher (0.6.6-1) unstable; urgency=low

  * New upstream version.
  * Standards 3.7.3 (no real change).
  * Remove trailing stars in debian/patches/00list.
  * Don't create /usr/lib/speech-dispatcher in libspeechd2.
  * Don't create /usr/share/festival in speech-dispatcher.
  * speech-dispatcher.7 man page formal fixes.
  * Descriptions added to Debian patches.


=== debian/control ===
Source: speech-dispatcher
Section: sound
Priority: optional
Maintainer: Milan Zamazal <pdm@debian.org>
Build-Depends: debhelper (>= 7), libglib2.0-dev, libdotconf-dev, flite1-dev (>= 1.4), libestools-dev, festival-dev, autotools-dev, libtool, texinfo, libasound2-dev [i386 ia64 alpha amd64 armeb arm hppa m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc], libaudio-dev, libxau-dev, libespeak-dev, libpulse-dev, automake, python, python-central (>= 0.6)
XS-Python-Version: all
Homepage: http://www.freebsoft.org/speechd
Standards-Version: 3.9.0

Package: speech-dispatcher
Architecture: any
Depends: adduser, lsb-base (>= 3.0-10), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
Recommends: pulseaudio
Suggests: speech-dispatcher-festival (= ${source:Version}), speech-dispatcher-doc-cs (= ${source:Version})
Conflicts: libspeechd1 (<< 0.5)
Description: Common interface to speech synthesizers
 Speech Dispatcher provides a device independent layer for speech synthesis.
 This package contains Speech Dispatcher itself.

Package: libspeechd2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libspeechd0 (>= 0.3)
Description: Speech Dispatcher: Shared libraries
 Speech Dispatcher provides a device independent layer for speech synthesis.
 This package contains a shared library needed for C programs linked with it.

Package: libspeechd-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libspeechd2 (= ${binary:Version}), ${misc:Depends}
Suggests: speech-dispatcher
Description: Speech Dispatcher: Development libraries and header files
 Speech Dispatcher provides a device independent layer for speech synthesis.
 This package contains a shared library needed for C programs linked with it.

Package: cl-speech-dispatcher
Architecture: all
Section: lisp
Priority: extra
Depends: common-lisp-controller, cl-regex, ${misc:Depends}
Description: Common Lisp interface to Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 This package contains a Common Lisp library for communication with Speech
 Dispatcher.

Package: python-speechd
Architecture: all
Section: python
Priority: extra
Depends: ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Python interface to Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 This package contains a Python library for communication with Speech
 Dispatcher.

Package: speech-dispatcher-festival
Architecture: all
Depends: speech-dispatcher (>= 0.6), festival, festival-freebsoft-utils (>= 0.6), ${misc:Depends}
Recommends: sound-icons
Description: Festival support for Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 This package contains dependencies on packages necessary for running Speech
 Dispatcher with Festival.

Package: speech-dispatcher-doc-cs
Architecture: all
Section: doc
Priority: extra
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: speech-dispatcher
Description: Speech Dispatcher documentation in Czech
 Speech Dispatcher provides a device independent layer for speech synthesis.

=== debian/rules ===
#!/usr/bin/make -f

.NOTPARALLEL:

package = speech-dispatcher
libpackage = libspeechd2
libpackagedev = libspeechd-dev
clcpackage = cl-speech-dispatcher

clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-pkg		:= ssip
clc-files	:= $(clc-source)/$(clc-pkg)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
    INSTALL_PROGRAM += -s
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

config.status: configure.in
	dh_testdir
	./build.sh
	rm -f ltmain.sh; cp /usr/share/libtool/config/ltmain.sh .
	./configure $(confflags) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc pidpath=/var/run/speech-dispatcher/

build: build-stamp

build-stamp: config.status
	dh_testdir
	$(MAKE) MAKEFLAGS="$(MAKEFLAGS)" CFLAGS="$(CFLAGS)"
	(cd doc; $(MAKE) MAKEFLAGS="$(MAKEFLAGS)" info)
	touch build-stamp

clean: config.status
	dh_testdir
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) MAKEFLAGS="$(MAKEFLAGS)" distclean
	find -name '.#*' -exec rm {} \;
	dh_clean
	-test -r /usr/share/misc/config.sub && \
	   cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	   cp -f /usr/share/misc/config.guess config.guess

install: build
	dh_testdir
	dh_testroot
	dh_prep -A
	dh_installdirs -A
	find -name '*.la' -exec rm {} \; # to avoid invalid libtool paths
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(package) CFLAGS="$(CFLAGS)" \
		INSTALL="$(INSTALL)" INSTALL_FILE="$(INSTALL_FILE)" INSTALL_PROGRAM="$(INSTALL_PROGRAM)" \
		INSTALL_SCRIPT="$(INSTALL_SCRIPT)" INSTALL_DIR="$(INSTALL_DIR)"
# Install speech-dispatcher files
	find $(CURDIR)/debian/$(package)/usr/bin -type f -not -name speech-dispatcher -not -name spd-say -exec rm {} \;
	rm -f $(CURDIR)/debian/$(package)/usr/share/info/dir*
	rm -f $(CURDIR)/debian/$(package)/usr/share/info/speech-dispatcher-cs.*
	rm -rf $(CURDIR)/debian/$(package)/usr/lib/python*
	rm -f $(CURDIR)/debian/$(package)/usr/share/sounds/speech-dispatcher/test.wav # this is in speechd-python
# Install libpseechd files
	mv $(CURDIR)/debian/$(package)/usr/lib/libspeechd*[0-9]* $(CURDIR)/debian/$(libpackage)/usr/lib/
# Install libspeechd-dev files
	mv $(CURDIR)/debian/$(package)/usr/lib/lib* $(CURDIR)/debian/$(libpackagedev)/usr/lib/
	mv $(CURDIR)/debian/$(package)/usr/include/*.h $(CURDIR)/debian/$(libpackagedev)/usr/include
	rmdir $(CURDIR)/debian/$(package)/usr/include

install-indep: build
	dh_testdir
	dh_testroot
	dh_prep -A
	dh_installdirs -A
# Install python-speechd files
	( cd src/python; make install prefix=$(CURDIR)/debian/python-speechd/usr )
	rm -rf $(CURDIR)/debian/python-speechd/usr/share/speech-dispatcher/conf # this is in speech-dispatcher
	dh_pycentral -ppython-speechd
	chmod a+x $(CURDIR)/debian/python-speechd/usr/share/pyshared/speechd/_test.py
# Install cl-speech-dispatcher files
	dh_installdirs -p $(clcpackage) $(clc-systems) $(clc-files)
	dh_install -p $(clcpackage) src/cl/$(clc-pkg).asd src/cl/*.lisp $(clc-files)/
	dh_link -p $(clcpackage) $(clc-files)/$(clc-pkg).asd $(clc-systems)/$(clc-pkg).asd

# Build architecture-independent files here.
binary-indep: build install-indep
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installinfo -p$(package)-doc-cs doc/speech-dispatcher-cs.info*
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installinit --error-handler=true
	dh_installman debian/speech-dispatcher.7
	dh_link usr/share/man/man7/speech-dispatcher.7 usr/share/man/man7/spd-say.7
	dh_installinfo doc/speech-dispatcher.info* doc/ssip.info* doc/spd-say.info*
	dh_installchangelogs -a
	dh_installchangelogs ChangeLog
	dh_installlogrotate
	install -m 644 debian/overrides.$(package) $(CURDIR)/debian/$(package)/usr/share/lintian/overrides/$(package)
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	chmod 700 $(CURDIR)/debian/$(package)/var/log/speech-dispatcher
	dh_makeshlibs -p$(libpackage)
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

patch: patch-stamp
patch-stamp:
	dpatch apply-all
	dpatch cat-all >patch-stamp
	touch patch-stamp

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## speech-dispatcher 0.7.1

=== debian/changelog ===
speech-dispatcher (0.7.1-6ubuntu3) precise; urgency=low

  * debian/speech-dispatcher.postinst: Make sure speech-dispatcher is not
    enabled as a system service for users upgrading from lucid. The code
    in question has been dropped, and should have been done so a long time
    ago, at least for Ubuntu. (LP: #914575)
  * Tweak gbp.conf for precise
  * debian/rules: Do not re-run the configure script as a dependency of the
    clean target. It is not needed, and makes dealing with packaging in git
    a pain.
  * Do not copy fresh copies of config.{sub,guess}, we run autoreconf.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 06 Feb 2012 13:48:00 +1100

speech-dispatcher (0.7.1-6ubuntu2) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 19:01:31 -0700

speech-dispatcher (0.7.1-6ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Moved the flite output module to a separate package, and added
      it to suggests, we don't want flite on the Ubuntu CD image
    - Dont build depend on libaudio-dev or libao-dev, Ubuntu CD size is an
      issue, every little bit helps

  [ Boris Dušek ]
  * debian/gbp.conf: Adjust for the Ubuntu git branch

  [ Luke Yelavich ]
  * Use dh_autoreconf rather than running build.sh
  * Add symbols file for libspeechd2
  * Need to run dh_makeshlibs for speech-dispatcher so that
    speech-dispatcher-flite can find the audio output library

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 06 Jun 2011 12:08:39 +1000

speech-dispatcher (0.7.1-6) unstable; urgency=low

  [ Boris Dušek ]
  * Fix description of libspeechd-dev package.
  * Add manpages for spd-conf, spd-say and speech-dispatcher; closes: #598569.
  * Correctly use execlp to specify module image name; closes: #579283.

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.2 (no change needed)

  [ Boris Dušek ]
  * Use debhelper files as much as possible.  This should make merges between
    Debian and Ubuntu packages easier.
  * Do not ship documentation changelog as the main changelog.
  * Move libsdaudio.{a,so} files to the development package.
  * Add support for pico using generic module; closes: #601395.
  * Add Vcs-* information to debian/control.
  * Update upstream homepage.
  * Transition to dh_python2; closes: #617070.
  * Remove explicit libspeechd2 maintainer scripts; dh_makeshlibs
    generates them

 -- Boris Dušek <dusek@brailcom.org>  Mon, 25 Apr 2011 19:20:55 +0200

speech-dispatcher (0.7.1-5) unstable; urgency=low

  * Add speech-dispatcher-dbg package with debugging symbols.

 -- Boris Dušek <dusek@brailcom.org>  Fri, 04 Mar 2011 11:30:12 +0100

speech-dispatcher (0.7.1-4) unstable; urgency=low

  * New maintainer.
  * Fix logrotate script breaking logrotate configuration of other
    packages.

 -- Boris Dušek <dusek@brailcom.org>  Tue, 01 Mar 2011 23:31:59 +0100

speech-dispatcher (0.7.1-3) experimental; urgency=low

  * debian/rules: Run make in src/python/; closes: #604542.
  * Upload to experimental because squeeze is in freeze.

 -- Milan Zamazal <pdm@debian.org>  Mon, 22 Nov 2010 19:55:19 +0100

speech-dispatcher (0.7.1-2) experimental; urgency=low

  * Squeeze NMU by Samuel Thibault incorporated.
  * libao-dev added to build dependencies; closes: #597964.
  * Patch by Samuel Thibault <sthibault@debian.org> to prevent infinite
    loop on some backend failures.
  * Upload to experimental because squeeze is in freeze.

 -- Milan Zamazal <pdm@debian.org>  Fri, 01 Oct 2010 16:29:38 +0200

speech-dispatcher (0.7.1-1) experimental; urgency=low

  * New upstream version.
  * *.la file removed from libspeechd-dev.
  * Standards 3.9.1.
  * Upload to experimental because squeeze is in freeze.

 -- Milan Zamazal <pdm@debian.org>  Mon, 13 Sep 2010 16:48:58 +0200

speech-dispatcher (0.7.1-0ubuntu3) natty; urgency=low

  * Rebuild for python2.7, don't hard-code 2.6 in the install files.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jan 2011 16:43:18 +0100

speech-dispatcher (0.7.1-0ubuntu2) natty; urgency=low

  * debian/rules: Set the start/stop runlevels to be the same as in the init
    script LSB header, thanks to kvdveer for the patch (LP: #671541)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 05 Nov 2010 15:10:37 -0400

speech-dispatcher (0.7.1-0ubuntu1) natty; urgency=low

  [ Luke Yelavich ]
  * Merge from debian unstable.  Remaining changes:
    - Python-speechd should depend on speech-dispatcher
    - Moved the flite output module to a separate package, and added
      it to suggests
    - Use cdbs for package build, cleaner to maintain
  * Set-PulseAudio-media-role-to-a11y.patch: Drop, not accepted upstream

  [ Boris Dusek ]
  * New upstream release
  * debian/patches/fix-mbrola-voice-path.patch: Fix path to mbrola voices
    in configuration file template to match that in Ubuntu
  * debian/patches/paths+files.patch: rebased on upstream (partially fixed)
  * debian/patches/python-makefile.patch: drop, obsolete
  * debian/patches/pulse-only.patch: drop, fixed
  * debian/patches/flite-1.4-fix.patch: drop, fixed
  * debian/patches/extlink.patch: drop, fixed
  * debian/patches/python-makefile.patch: rebased on upstream
  * quieten-logfiles.patch: drop, LogLevel 3 was revised upstream to
    include less information
  * disable-modules.patch: drop, unnecessary: declaring a non-existing
    synthesizer when a previously declared one works does nothing
  * pulse-endianness.patch: drop, fixed

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 18 Oct 2010 11:00:42 +1100

speech-dispatcher (0.7-5ubuntu3) maverick; urgency=low

  * debian/patches/Set-PulseAudio-media-role-to-a11y.patch: Patch to set
    Speech Dispatcher's media role, sent up stream.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 12 Aug 2010 15:45:46 +1000

speech-dispatcher (0.7-5ubuntu2) maverick; urgency=low

  * debian/patches/fix-broken-spdconf.patch: Replace with correct fix from


=== debian/control ===
Source: speech-dispatcher
Section: sound
Priority: optional
Maintainer: Ubuntu Accessibility Developers <ubuntu-accessibility@lists.ubuntu.com>
XSBC-Original-Maintainer: Boris Dušek <dusek@brailcom.org>
Build-Depends: debhelper (>> 7), libglib2.0-dev, libdotconf-dev, flite1-dev (>= 1.4), autotools-dev, libtool, texinfo, libasound2-dev [linux-any], libxau-dev, libespeak-dev, libpulse-dev, automake, python (>=2.6.6-12), dh-autoreconf
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/speech-dispatcher.git;a=shortlog;h=refs/heads/ubuntu
Vcs-Git: git://git.debian.org/pkg-a11y/speech-dispatcher.git
Homepage: http://devel.freebsoft.org/speechd
Standards-Version: 3.9.2

Package: speech-dispatcher
Architecture: any
Depends: adduser, lsb-base (>= 3.0-10), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
Recommends: pulseaudio
Suggests: speech-dispatcher-festival (= ${source:Version}), speech-dispatcher-doc-cs (= ${source:Version}), libttspico-utils, speech-dispatcher-flite (= ${source:Version})
Conflicts: libspeechd1 (<< 0.5)
Description: Common interface to speech synthesizers
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains Speech Dispatcher itself.

Package: libspeechd2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libspeechd0 (>= 0.3)
Description: Speech Dispatcher: Shared libraries
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains a shared library needed for C programs linked with it.

Package: libspeechd-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libspeechd2 (= ${binary:Version}), ${misc:Depends}
Suggests: speech-dispatcher
Description: Speech Dispatcher: Development libraries and header files
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains static library, and C headers needed for programs
 linked with the shared or static library.

Package: cl-speech-dispatcher
Architecture: all
Section: lisp
Priority: extra
Depends: common-lisp-controller, cl-regex, ${misc:Depends}
Description: Common Lisp interface to Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains a Common Lisp library for communication with Speech
 Dispatcher.

Package: python-speechd
Architecture: all
Section: python
Priority: extra
Depends: ${python:Depends}, ${misc:Depends}
Description: Python interface to Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains a Python library for communication with Speech
 Dispatcher.

Package: speech-dispatcher-festival
Architecture: all
Depends: speech-dispatcher (>= 0.6), festival, festival-freebsoft-utils (>= 0.6), ${misc:Depends}
Recommends: sound-icons
Description: Festival support for Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains dependencies on packages necessary for running Speech
 Dispatcher with Festival.

Package: speech-dispatcher-doc-cs
Architecture: all
Section: doc
Priority: extra
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: speech-dispatcher
Description: Speech Dispatcher documentation in Czech
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains Czech documentation of Speech Dispatcher.

Package: speech-dispatcher-flite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech Dispatcher: Flite output module
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains the output module for the flite speech synthesizer.

Package: speech-dispatcher-dbg
Architecture: any
Section: debug
Priority: extra
Depends: speech-dispatcher (= ${binary:Version}), libspeechd2 (= ${binary:Version}), ${misc:Depends}
Description: Speech Dispatcher debugging symbols
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains the debugging symbols for Speech Dispatcher.

=== debian/rules ===
#!/usr/bin/make -f

.NOTPARALLEL:

package = speech-dispatcher
libpackage = libspeechd2
libpackagedev = libspeechd-dev

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

config.status: configure.in
	dh_testdir
	dh_autoreconf
	./configure $(confflags) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc pidpath=/var/run/speech-dispatcher/

build: build-stamp

build-stamp: config.status
	dh_testdir
	$(MAKE) MAKEFLAGS="$(MAKEFLAGS)" CFLAGS="$(CFLAGS)"
	(cd src/python; make)
	(cd src/python/speechd; make; make paths.py)
	(cd src/python/speechd_config; make; make paths.py)
	(cd doc; $(MAKE) MAKEFLAGS="$(MAKEFLAGS)" info)
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) MAKEFLAGS="$(MAKEFLAGS)" distclean
	find -name '.#*' -exec rm {} \;
	dh_clean
#	-test -r /usr/share/misc/config.sub && \
#	   cp -f /usr/share/misc/config.sub config.sub
#	-test -r /usr/share/misc/config.guess && \
#	   cp -f /usr/share/misc/config.guess config.guess

install: install-arch install-indep

install-arch: build
	dh_testdir
	dh_testroot
	dh_prep -A
	dh_installdirs -A
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp CFLAGS="$(CFLAGS)" \
		INSTALL="$(INSTALL)" INSTALL_FILE="$(INSTALL_FILE)" INSTALL_PROGRAM="$(INSTALL_PROGRAM)" \
		INSTALL_SCRIPT="$(INSTALL_SCRIPT)" INSTALL_DIR="$(INSTALL_DIR)"

install-indep: build
	dh_testdir
	dh_testroot
	dh_prep -A
	dh_installdirs -A
# Install python-speechd files
	( cd src/python; make install prefix=$(CURDIR)/debian/tmp/usr )

# Build architecture-independent files here.
binary-indep: build install-indep
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installdocs -i
	dh_installman -i
	dh_installchangelogs -i ChangeLog
	dh_installinfo -i
	dh_python2 -ppython-speechd
	chmod a+x $(CURDIR)/debian/python-speechd/usr/share/pyshared/speechd/_test.py
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install-arch
	dh_testdir
	dh_testroot
	dh_install -a
	dh_installdocs -a
	dh_installinit -a --error-handler=true
	dh_installman -a
	dh_installinfo -a
	dh_installchangelogs -a ChangeLog
	dh_installlogrotate -a
	dh_lintian -a
	dh_link -a
	dh_strip -a --dbg-package=$(package)-dbg
	dh_compress -a
	dh_fixperms -a
	chmod 700 $(CURDIR)/debian/$(package)/var/log/speech-dispatcher
	dh_makeshlibs -p$(libpackage)
	dh_makeshlibs -p$(package)
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

patch: patch-stamp
patch-stamp:
	dpatch apply-all
	dpatch cat-all >patch-stamp
	touch patch-stamp

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## speech-dispatcher 0.8

=== debian/changelog ===
speech-dispatcher (0.8-5ubuntu1) trusty; urgency=low

  * Merge with debian unstable.  Remaining changes:
    - Moved the flite output module to a separate package, and added
      it to suggests, we don't want flite on the Ubuntu CD image
    - Don't build depend on libaudio-dev or libao-dev, Ubuntu CD size is an
      issue, every little bit helps
    - debian/gbp.conf: Adjust for the Ubuntu git branch

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 19 Feb 2014 17:06:41 +1100

speech-dispatcher (0.8-5) unstable; urgency=low

  * Upload to unstable
  * Work around dotconf 1.3 requirement as it takes too long now

 -- Paul Gevers <elbrus@debian.org>  Sat, 15 Feb 2014 21:23:37 +0100

speech-dispatcher (0.8-4) experimental; urgency=low

  * Fix maintainer address again (Closes: #736469)
  * Update d/copyright and convert to machine readable format (Closes:
    #734302)
  * Add upstream commit link to spelling error patch

 -- Paul Gevers <elbrus@debian.org>  Tue, 11 Feb 2014 21:57:06 +0100

speech-dispatcher (0.8-3) experimental; urgency=low

  * Add symlinks from old /usr/include/* to /usr/include/speech-dispatcher/*
    to ease the transition of the new location (works for all current Debian
    reverse dependencies)
  * Fix links to user config/cache directories in the documentation

 -- Paul Gevers <elbrus@debian.org>  Sun, 19 Jan 2014 16:17:29 +0100

speech-dispatcher (0.8-2) experimental; urgency=low

  * Update init script to use log_action_msg i.s.o. echo (Closes: #679162)
  * Add Replaces/Breaks to python3-speechd and speech-dispatcher-festival
    (Closes: #734778, #734899)
  * Minor tweaks:
    - wrap-and-sort on d/control
    - Add patch descriptions to the ones missing them
    - Update link in copyright to versioned LGPL file
    - Remove override_dh_auto_install target as it only changed *.la files
      that aren't installed
    - Update speech-dispatcher.post* scripts to "set -e" (thanks Lintian)
    - Remove pycompat and XB-Python-Version (obsolete)
  * Fixed the wrong maintainer address
  * Add python3-xdg to python3-speechd dependencies
  * Update *README.Debian with updated configuration location and mention
    the default is to not run as server
  * Fix several spelling errors (thanks Lintian)

 -- Paul Gevers <elbrus@debian.org>  Fri, 17 Jan 2014 21:07:49 +0100

speech-dispatcher (0.8-1) experimental; urgency=low

  [ Samuel Thibault ]
  * debian/control: Set libspeechd2 multi-arch: same.
  * debian/rules: Set multiarch libdir.
  * debian/libspeechd-dev.install,libspeechd2.install,
    speech-dispatcher.install: Use multiarch libdir.
  * Do not depend on dpkg | install-info, now that we use the install-info
    trigger.
  * Bump Standards-Version to 3.9.5.
  * Bump dotconf dependency to >= 1.3.
  * debian/control: Move VCS to tts team.

  [ Luke Yelavich ]
  * New upstream release
  * debian/patches/infinite-loop.patch: Refreshed
  * Dropped patches:
    - debian/patches/build-doc.patch
    - debian/patches/procname.patch
    - debian/patches/paths+files.patch
    - debian/patches/pthread.patch
  * Add libltdl-dev and intltool to build-depends
  * Update packaging for speech-dispatcher python 3 bindings.
  * Move speech-dispatcher modules to an architecture independent dir, since
    modules can be written in any language, and i386 only modules can be
    used on amd64 systems
  * Create separate audio plugins package
  * Convert to debhelper 7+ packaging.
  * Use dh-autoreconf to handle autotools file rebuilds.
  * Update standards version to 3.9.3.
  * Add X-Python-Version related fields to debian/control.
  * Patch in the speech-dispatcher-cs.texi file since it was forgotten in the
    0.8 tarball
  * Add translations to speech-dispatcher

  [ Jason White ]
  * Raise level of subsection in fdl.texi to correct document structure.

  [ David Henningsson ]
  * debian/patches/pulse-default-latency.patch:
    Default to 20 ms latency instead of 1 ms latency (LP: #1208826)

  [ Luke Yelavich ]
  * spd_audio: Expose dlopened library's symbols to libs it loads. Thanks to
    Christopher Brannon <chris@the-brannons.com> for the patch, taken from
    the speech-dispatcher mailing list.

  [ Paul Gevers ]
  * New maintainer (Closes: #730983)
  * Acknowledge NMU's
  * libsdaudio.* is not build and installed anymore
    - Drop break/replace in libspeechd-dev
    - Closes: #715119
  * Add source lintian overrides for gfdl/gpl documentation
  * Change speech-dispatcher-festival to Arch: any now it contains a binary
  * Strip all binaries into -dbg package
  * Add d/watch file (Thanks Bart Martens)
  * Raise compat level to 9 to get auto-hardening (was a Wheezy release goal)

 -- Paul Gevers <elbrus@debian.org>  Thu, 02 Jan 2014 20:31:48 +0100

speech-dispatcher (0.7.1-6.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix texinfo error (Closes: #713310)

 -- Hilko Bengen <bengen@debian.org>  Sat, 23 Nov 2013 19:26:30 +0100

speech-dispatcher (0.7.1-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * control: Add break/replace for move of libsdaudio.{a,so} from
    speech-dispatcher to libspeechd-dev, thanks Andreas Beckmann for the
    report & patch; closes: #694295.
  * patches/espeak-mbrola-generic.conf.patch: Add patch from Mau to fix mbrola
    generic output; closes: #665382.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 07 Dec 2012 01:28:18 +0100

speech-dispatcher (0.7.1-6.1ubuntu2) quantal; urgency=low

  * debian/speech-dispatcher.install: Don't install all modules wholesale,
    the flite module is in another package, and would cause file
    conflict errors if it was installed. (LP: #1039264)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 21 Aug 2012 13:04:09 +1000

speech-dispatcher (0.7.1-6.1ubuntu1) quantal-proposed; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Moved the flite output module to a separate package, and added
      it to suggests, we don't want flite on the Ubuntu CD image


=== debian/control ===
--- 
+++ 
@@ -1,20 +1,48 @@
 Source: speech-dispatcher
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Accessibility Developers <ubuntu-accessibility@lists.ubuntu.com>
-XSBC-Original-Maintainer: Boris Dušek <dusek@brailcom.org>
-Build-Depends: debhelper (>> 7), libglib2.0-dev, libdotconf-dev, flite1-dev (>= 1.4), autotools-dev, libtool, texinfo, libasound2-dev [linux-any], libxau-dev, libespeak-dev, libpulse-dev, automake, python (>=2.6.6-12), dh-autoreconf
-Vcs-Browser: http://git.debian.org/?p=pkg-a11y/speech-dispatcher.git;a=shortlog;h=refs/heads/ubuntu
-Vcs-Git: git://git.debian.org/pkg-a11y/speech-dispatcher.git
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian TTS Team <tts-project@lists.alioth.debian.org>
+Uploaders:
+ Paul Gevers <elbrus@debian.org>
+Build-Depends:
+ automake,
+ autotools-dev,
+ debhelper (>= 9),
+ dh-autoreconf,
+ flite1-dev (>= 1.4),
+ intltool,
+ libasound2-dev [linux-any],
+ libdotconf-dev,
+ libespeak-dev,
+ libglib2.0-dev,
+ libltdl-dev,
+ libpulse-dev,
+ libtool,
+ libxau-dev,
+ python3,
+ texinfo
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tts/speech-dispatcher.git;a=summary
+Vcs-Git: git://anonscm.debian.org/tts/speech-dispatcher.git
 Homepage: http://devel.freebsoft.org/speechd
-Standards-Version: 3.9.2
+X-Python-Version: >= 3.0
+Standards-Version: 3.9.5
 
 Package: speech-dispatcher
 Architecture: any
-Depends: adduser, lsb-base (>= 3.0-10), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
-Recommends: pulseaudio
-Suggests: speech-dispatcher-festival (= ${source:Version}), speech-dispatcher-doc-cs (= ${source:Version}), libttspico-utils, speech-dispatcher-flite (= ${source:Version})
-Conflicts: libspeechd1 (<< 0.5)
+Depends:
+ adduser,
+ lsb-base (>= 3.0-10),
+ speech-dispatcher-audio-plugins (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ pulseaudio
+Suggests:
+ libttspico-utils,
+ speech-dispatcher-doc-cs,
+ speech-dispatcher-festival,
+ speech-dispatcher-flite
 Description: Common interface to speech synthesizers
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -30,9 +58,14 @@
 
 Package: libspeechd2
 Architecture: any
+Multi-arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libspeechd0 (>= 0.3)
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Pre-Depends:
+ multiarch-support,
+ ${misc:Pre-Depends}
 Description: Speech Dispatcher: Shared libraries
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -50,8 +83,11 @@
 Architecture: any
 Section: libdevel
 Priority: extra
-Depends: libspeechd2 (= ${binary:Version}), ${misc:Depends}
-Suggests: speech-dispatcher
+Depends:
+ libspeechd2 (= ${binary:Version}),
+ ${misc:Depends}
+Suggests:
+ speech-dispatcher
 Description: Speech Dispatcher: Development libraries and header files
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -70,7 +106,10 @@
 Architecture: all
 Section: lisp
 Priority: extra
-Depends: common-lisp-controller, cl-regex, ${misc:Depends}
+Depends:
+ cl-regex,
+ common-lisp-controller,
+ ${misc:Depends}
 Description: Common Lisp interface to Speech Dispatcher
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -85,11 +124,18 @@
  This package contains a Common Lisp library for communication with Speech
  Dispatcher.
 
-Package: python-speechd
+Package: python3-speechd
 Architecture: all
 Section: python
 Priority: extra
-Depends: ${python:Depends}, ${misc:Depends}
+Breaks:
+ python-speechd
+Replaces:
+ python-speechd
+Depends:
+ python3-xdg,
+ ${misc:Depends},
+ ${python3:Depends}
 Description: Python interface to Speech Dispatcher
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -105,9 +151,19 @@
  Dispatcher.
 
 Package: speech-dispatcher-festival
-Architecture: all
-Depends: speech-dispatcher (>= 0.6), festival, festival-freebsoft-utils (>= 0.6), ${misc:Depends}
-Recommends: sound-icons
+Architecture: any
+Depends:
+ festival,
+ festival-freebsoft-utils (>= 0.6),
+ speech-dispatcher (>= 0.6),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks:
+ speech-dispatcher (<< 0.8)
+Replaces:
+ speech-dispatcher (<< 0.8)
+Recommends:
+ sound-icons
 Description: Festival support for Speech Dispatcher
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -126,8 +182,10 @@
 Architecture: all
 Section: doc
 Priority: extra
-Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Suggests: speech-dispatcher
+Depends:
+ ${misc:Depends}
+Suggests:
+ speech-dispatcher
 Description: Speech Dispatcher documentation in Czech
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -143,7 +201,9 @@
 
 Package: speech-dispatcher-flite
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: Speech Dispatcher: Flite output module
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -161,7 +221,11 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: speech-dispatcher (= ${binary:Version}), libspeechd2 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libspeechd2 (= ${binary:Version}),
+ speech-dispatcher (= ${binary:Version}),
+ speech-dispatcher-festival (= ${binary:Version}),
+ ${misc:Depends}
 Description: Speech Dispatcher debugging symbols
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -174,3 +238,28 @@
  having to yet again reinvent the wheel.
  .
  This package contains the debugging symbols for Speech Dispatcher.
+
+Package: speech-dispatcher-audio-plugins
+Architecture: any
+Multi-arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Pre-Depends:
+ multiarch-support
+Breaks:
+ speech-dispatcher (<< 0.8-1)
+Replaces:
+ speech-dispatcher (<< 0.8-1)
+Description: Speech Dispatcher: Audio output plugins
+ Speech Dispatcher provides a device independent layer for speech synthesis.
+ It supports various software and hardware speech synthesizers as
+ backends and provides a generic layer for synthesizing speech and
+ playing back PCM data via those different backends to applications.
+ .
+ Various high level concepts like enqueueing vs. interrupting speech and
+ application specific user configurations are implemented in a device
+ independent way, therefore freeing the application programmer from
+ having to yet again reinvent the wheel.
+ .
+ This package contains all the speech-dispatcher audio output plugins.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with autoreconf,python3

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	                     --with-module-bindir=\$${prefix}/lib/speech-dispatcher-modules \
	                     pidpath=/var/run/speech-dispatcher/

override_dh_strip:
	dh_strip --dbg-package=speech-dispatcher-dbg

override_dh_installinit:
	dh_installinit -a --error-handler=true

override_dh_fixperms:
	dh_fixperms
	chmod 700 $(CURDIR)/debian/speech-dispatcher/var/log/speech-dispatcher

override_dh_makeshlibs:
	dh_makeshlibs -plibspeechd2
